package com.sun.xml.internal.ws.assembler.jaxws;

import com.sun.xml.internal.ws.assembler.dev.ServerTubelineAssemblyContext;
import javax.xml.ws.WebServiceException;
import com.sun.xml.internal.ws.api.pipe.Tube;
import com.sun.xml.internal.ws.assembler.dev.ClientTubelineAssemblyContext;
import com.sun.xml.internal.ws.assembler.dev.TubeFactory;

public final class TerminalTubeFactory implements TubeFactory
{
    public TerminalTubeFactory() {
    }
    
    public Tube createTube(ClientTubelineAssemblyContext context) throws WebServiceException {
        return context.getTubelineHead();
    }
    
    public Tube createTube(ServerTubelineAssemblyContext context) throws WebServiceException {
        return context.getWrappedContext().getTerminalTube();
    }
}
